## IAnjutaEditorLanguage IAnjutaEditorLanguage — Text editor language interface |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_language_error_quark ()
const gchar * | ianjuta_editor_language_get_language ()
const gchar * | ianjuta_editor_language_get_language_name ()
const GList * | ianjuta_editor_language_get_supported_languages ()
void | ianjuta_editor_language_set_language ()

## Signals

void | language-changed | Run Last

## Types and Values

#define | IANJUTA_EDITOR_LANGUAGE_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaEditorLanguage

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-language.h>

## Description

## Functions

### ianjuta_editor_language_error_quark ()

    GQuark
    ianjuta_editor_language_error_quark (void);

### ianjuta_editor_language_get_language ()

    const gchar *
    ianjuta_editor_language_get_language (IAnjutaEditorLanguage *obj,
                                          GError **err);

Return the name of the currently used language

#### Parameters

obj | Self |
err | Error propagation and reporting |

### ianjuta_editor_language_get_language_name ()

    const gchar *
    ianjuta_editor_language_get_language_name
                                   (IAnjutaEditorLanguage *obj,
                                    const gchar *language,
                                    GError **err);

### ianjuta_editor_language_get_supported_languages ()

    const GList *
    ianjuta_editor_language_get_supported_languages
                                   (IAnjutaEditorLanguage *obj,
                                    GError **err);

Return a list of languages supported by the editor Note: These list contains the names in the form the editor implementation knows them

#### Parameters

obj | Self |
err | Error propagation and reporting |

#### Returns

.

[element-type utf8]

### ianjuta_editor_language_set_language ()

    void
    ianjuta_editor_language_set_language (IAnjutaEditorLanguage *obj,
                                          const gchar *language,
                                          GError **err);

Force the editor to use a given language

#### Parameters

obj | Self |
language | Language |
err | Error propagation and reporting |

## Types and Values

### IANJUTA_EDITOR_LANGUAGE_ERROR

    #define IANJUTA_EDITOR_LANGUAGE_ERROR ianjuta_editor_language_error_quark()

## Signal Details

### The `“language-changed”` signal

    void
    user_function (IAnjutaEditorLanguage *obj,
                   char                  *language,
                   gpointer               user_data)

the language of the editor changed to `language`

#### Parameters

obj | self |
language | new language |
user_data | user data set when the signal handler was connected. |

Flags: Run Last